# 历史调试插件 （尝鲜版） 说明  
历史调试插件可在调试过程中记录中断时的堆栈信息，并可在调试过程中或结束后查看调试时的堆栈信息，用户可在调试过程中记录关心的调试信息以便在需要的时候复现调试信息。  

该版本为尝鲜版，如遇到bug请在提交[反馈](https://gitee.com/openkylin/extensions-repo/issues)

# 特点

## 随时记录  
调试信息记录可以调试过程中随时启用，由于调试信息记录需要消耗一定时间，若关注某中断处堆栈信息，则需要等待记录完成，绿色记录状态表示记录完成，红色表示记录中，灰色表示未开启记录。若在记录状态为红色时进行下一步调试操作则堆栈信息可能记录不完全，复现调试时可能缺少相关信息，但不影响后续记录。   
![开关及状态](https://github.com/xhafei/historydebug-static/blob/main/static/1.png?raw=true)  
## 随时复现
记录过程中可以随时点击活动栏历史调试按钮，点击第一条或最后一条按钮进行历史调试，历史调试不影响正常调试的调试状态。用户可在调试过程中或调试完成后点击保存按钮保存调试信息，可在后续时间点击导入按钮复现调试过程。   

## 多语言支持  
历史调试可以支持多种语言调试，目前支持python、c、c++、java、javascript。  

![历史调试按钮](https://github.com/xhafei/historydebug-static/blob/main/static/2.png?raw=true)

## 依赖
历史调试为记录及复现功能，使用历史调试需要有正常的调试环境，如调试c语言时需要已经安装gdb及c语言调试插件，调试java时需要已经安装java调试环境及调试插件。

# 0.1.6
- 添加堆栈搜索功能；

# 0.1.5
- 解决python调试堆栈信息获取不到文件名问题；

# 0.1.4
- 完善代码结构，减少判断条件，提高记录速度；
- 添加javascript及python默认配置，提高记录速度；

# 0.1.3
- C++历史调试添加过滤条件，跳过特殊地址指针内容读取

# 0.1.2
- 修复远程开发历史调试不能打开文件问题；
- 解决重启调试后历史记录未清除问题；
- 忽略anonymous namespace栈变量获取，因gdb中获取此类型栈可能导致异常报错

# 0.1.1 
- 修改为只支持python、javascript、c/c++、java语言
- 修复历史调试bug，修改为调试结束后中断记录堆栈信息
- 历史调试插件添加设置直达按钮，添加插件图标
